<?php
include('../config/database.php');
$metodo=$_SERVER['REQUEST_METHOD'];

if($metodo=='GET'){
    //Si se mando un id quiere decir que se hara una busqueda individual
   
    $query = mysqli_query($mysqli, "SELECT nombre_cliente, codigo_cliente, email_cliente, telefono_cliente, COUNT(codigo_guia) nro_guias FROM guias GROUP BY nombre_cliente, codigo_cliente, email_cliente, telefono_cliente");
    if(!$query){
        die('Error en la consulta'. mysqli_error($mysqli));
    }

    $json = array(); 
    while($row = mysqli_fetch_array($query)){
        $json[] = array(
            'codigo' => $row['codigo_cliente'],
            'nombre' => $row['nombre_cliente'],
            'telefono' => $row['telefono_cliente'],
            'email' => $row['email_cliente'],
            'guias' => $row['nro_guias']
        );
    }
    $jsonstring = json_encode($json);
    echo $jsonstring;
    
}